
#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<netdb.h>
#include<unistd.h>
#include<sys/socket.h>
#include<netinet/in_systm.h>
#include<netinet/in.h>
#include<netinet/ip.h>
#include<arpa/inet.h>
#include<fcntl.h>

#include<sys/stat.h>
#include<errno.h>

#include"sitar_scan.h"
#include"sitar_com.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"

#include "version.h"



// char * set_request(char *, char *, char *);


char * set_request(char * backdata, char * url_dom, char * url_pass)
{

backdata = safe_sprintf(backdata, BUF_MAX,
"HEAD /%s HTTP/1.0\nHost: %s\nUser-Agent: %s(monitorring server)\nPragma: no-cache\nCache-Control: no-cache\r\n\r\n", url_pass, url_dom, VERSION);

#ifdef URL_BUG
printf("URL: set_request(): SEND HEADERS\n");
printf("%s", backdata);
#endif

return backdata;
}


